Firefox 5: Anybody Tried It?

47 replies
  • OFF TOPIC
  • |
Hey Warriors,

I just received a notification that Firefox 5 is available.

There were a couple of issues when I upgraded to Firefox 4, such as a couple of plugins that were not supported and stopped working, and a new layout that took some getting used to.

This time around I am going to wait a while before updating, just to see if there are any bugs.

If anybody else has updated to Firefox 5, please post here and let the rest of us know if it is worth updating or if it would be better to wait.

All the best,

Nick
#firefox #firefox 5
  • Profile picture of the author Andrea Wilson
    I dont see much difference in this new firefox 5.0 so I assume that waiting is for your add-ons to make their own corresponding updates is fine. The only new features mentioned was the tab groups and the ability to pin any site to the tab.

    I am not a big fan of add-ons, plug-ins so I didn't think twice when I upgraded. I personally dont like firefox nudging me again and again that I should upgrade so I just did.

    Andrea
    {{ DiscussionBoard.errors[4136040].message }}
    • Profile picture of the author Brandon Tanner
      Yup. It's Faaaaaaaast. I thought FF4 felt quite a bit snappier than 3, but with 5, it seems even more so. I've only been using it a couple days, but haven't noticed any bugs or odd behavior at all. Good stuff. When you begin to install the new version it will let you know in advance which installed plug-ins are compatible with v5, so you can decide if you want to go through with it, or keep the old version.
      Signature

      {{ DiscussionBoard.errors[4136085].message }}
  • Profile picture of the author tpw
    They suggest that we should update now, due to some security issues.

    But the fact that the Google toolbar won't work with it yet, along with other plugins, is keeping me on the fence.

    I upgraded to FF4 before it was ready to use my plugins... I won't make the same mistake twice.
    Signature
    Bill Platt, Oklahoma USA, PlattPublishing.com
    Publish Coloring Books for Profit (WSOTD 7-30-2015)
    {{ DiscussionBoard.errors[4136055].message }}
    • Profile picture of the author Nick Lotter
      Originally Posted by tpw View Post

      But the fact that the Google toolbar won't work with it yet, along with other plugins, is keeping me on the fence.

      I upgraded to FF4 before it was ready to use my plugins... I won't make the same mistake twice.
      Same reason I don't want to upgrade yet.

      I only use less than a handful of FF plugins, but I use them most days and don't want to lose them. I guess I'll hit the download link and see which of my plugins are not compatible before deciding.
      Signature
      "Do not wait to strike until the iron is hot; but make it hot by striking."
      William Butler Yeats
      {{ DiscussionBoard.errors[4136288].message }}
      • Profile picture of the author Allegra Sinclair
        Originally Posted by Nick Lotter View Post

        Same reason I don't want to upgrade yet.

        I only use less than a handful of FF plugins, but I use them most days and don't want to lose them. I guess I'll hit the download link and see which of my plugins are not compatible before deciding.
        The download link warned me that my 1Password plugin would not work so I'm also waiting before upgrading. I think 4 has crashed a lot so I'm looking forward to the new version.

        Allegra
        Signature

        Done For You, Limited Edition Niche Blog Sites & PLR
        MakingPLRSimple.com

        {{ DiscussionBoard.errors[4136419].message }}
    • Profile picture of the author gefflong
      Originally Posted by tpw View Post

      They suggest that we should update now, due to some security issues.

      But the fact that the Google toolbar won't work with it yet, along with other plugins, is keeping me on the fence.

      I upgraded to FF4 before it was ready to use my plugins... I won't make the same mistake twice.
      Well said. I agree. They always want you to "upgrade immediately" but most of the time the upgrade breaks something else, so I end up downgrading back to the older version. Now I just wait until they come out the next small update ver. X.01 or whatever and upgrade then.
      {{ DiscussionBoard.errors[4138827].message }}
      • Profile picture of the author howdab2
        Now, after just downloading and installing it....

        Looks like nothing has changed.

        Yea I can't tell the difference, it works and looks the same as v4...maybe they just changed the version # for the hell of it... lol







        Howard
        {{ DiscussionBoard.errors[4138838].message }}
    • Originally Posted by tpw View Post

      They suggest that we should update now, due to some security issues.

      But the fact that the Google toolbar won't work with it yet, along with other plugins, is keeping me on the fence.

      I upgraded to FF4 before it was ready to use my plugins... I won't make the same mistake twice.
      I made the same mistake as TPW, switching to FF4 as soon as it was ready.

      I love FF and just erroneously expected them to have their stuff together, and it was a nightmare.

      I am waiting as well.

      Patrick
      Signature
      PatrickBrianONeill.com
      {{ DiscussionBoard.errors[4138844].message }}
    • Profile picture of the author ThomM
      Originally Posted by tpw View Post

      They suggest that we should update now, due to some security issues.

      But the fact that the Google toolbar won't work with it yet, along with other plugins, is keeping me on the fence.

      I upgraded to FF4 before it was ready to use my plugins... I won't make the same mistake twice.
      Back in the day when I was a so called WP expert I'd always tell people to wait before upgrading. In fact I noticed a pattern where every other wp upgrade would work fine but the one before and after the one that was fine would be buggy as hell.
      Something I've noticed with FF is for about a week before an upgrade the browser would suddenly cause all sorts of problems for me. I started thinking the folks there where causing the problems so I'd want to upgrade as soon as the newest version came out.

      Now I just installed Ubuntu on my puter and it's running FF5 without any problems, yet.
      Signature

      Life: Nature's way of keeping meat fresh
      Getting old ain't for sissy's
      As you are I was, as I am you will be
      You can't fix stupid, but you can always out smart it.

      {{ DiscussionBoard.errors[4146739].message }}
  • Profile picture of the author PPC-Coach
    I always wait. When you upgrade right away, you're the first batch of guinea pigs.

    I waited on the previous update and it still has some bugs with turning javascript off on randomly it seems.
    {{ DiscussionBoard.errors[4136063].message }}
  • Profile picture of the author cheesee
    Nope. I don't even have firefox anymore. I only use google chrome, and rockmelt.
    Signature

    ——— ‡‡‡ DO FOLLOW signature links at our webmaster forums. ‡‡‡ ———
    ——— ‡‡‡ We make money. Talk about the MANY WAYS to make money online. ‡‡‡ ———

    {{ DiscussionBoard.errors[4136087].message }}
    • Profile picture of the author Wizardofwords
      Originally Posted by cheesee View Post

      Nope. I don't even have firefox anymore. I only use google chrome, and rockmelt.
      Exactly. Google Chrome works really well, and I don't think it takes up as much space or memory as FF.
      Signature

      Need articles, press releases, sales letters, multi-media, TV, or radio scripts? Click here to see much more about me, read testimonials, etc. Then E-mail me to discuss your needs and my rates!
      http://www.willblesch.com
      http://il.linkedin.com/in/williamblesch

      {{ DiscussionBoard.errors[4139347].message }}
  • Profile picture of the author ok123
    Typing this on FF5. Seems faster than FF$, FF4 used to crash a bit. Still waiting for FF5 to go down. Majority of the addins do not work. e.g. sEOBOOK toolbar, linkification and DAP.
    Signature
    Action expresses priorities - Mahatma Gandhi
    {{ DiscussionBoard.errors[4136147].message }}
  • Profile picture of the author pbarnhart
    As of right now, my Evernote clipper does not work in FF5
    {{ DiscussionBoard.errors[4136437].message }}
  • Profile picture of the author Matt.Lake
    I upgraded to Firefox 5 yesterday without giving it any thought, and it only led to frustration. It doesn't support the Google toolbar or the Google global add-on, two features which I need, making it useless for me. I imagine a lot of Internet marketers use those features too.

    The more annoying thing was that it's not easy to revert back to an older version. I was able to revert back to Firefox 3.something eventually after searching around, but it's obviously an older version than what I was using before I upgraded to 5.

    Before reverting back to the older version of Firefox, I actually thought I'd give Chrome a shot. It's definitely faster and seems pretty cool, but even that doesn't support the Google toolbar with the Pagerank display etc!! (If those of you using Chrome have an alternative for easily viewing the Pagerank of a site when you're on it then I'd be interested).

    I made a quick search in the Google forums regarding that issue, and as usual there was just a load of other frustated people not getting good answers from Google. That partly puts me off using Chrome, but then again, Firefox support appears just as bad.

    Anyway, my advice would be to hold back from Firefox 5 at the moment... something I'll remember to do with future updates!

    Matt
    {{ DiscussionBoard.errors[4136441].message }}
    • Profile picture of the author Alexa Smith
      Banned
      I'm using FireFox 5.

      When I downloaded it, it did notify me that a couple of plugins weren't yet ready-to-go with FF5 and told me they'd update themselves automatically when they were available.

      I haven't noticed any difference between this and the previous version (but I never had a problem with that, either).

      Now that I right-click and look, it does seem that for the moment I've lost my one-click "no-follow"/"do-follow" backlink identifier, but I hadn't actually looked at it for over a year anyway.

      Seems fine to me ... (though I admit I'm probably not the most demanding of users).
      {{ DiscussionBoard.errors[4136631].message }}
  • Profile picture of the author Christophe Young
    Works for me, but Google toolbar does not like it yet. Roboform (7.3.2) works fine with it and that's the only program I really use all the time.
    Signature
    Under Construction
    {{ DiscussionBoard.errors[4136867].message }}
    • Profile picture of the author zusmart
      I have used it. But it still not support to my downloader and antivirus. So, i install firefox 4.1 again
      {{ DiscussionBoard.errors[4136892].message }}
    • Profile picture of the author Michael Shook
      When I upgraded to FF 4, I had to start using Roboform 7.x. That one is the version you have to start paying for. The price was not exorbitant, especailly for a plugin that I use easily 100 times a day.

      But I rally dislked the interface and the insdie part to Roboform 7. I have no intention of ever synching my passwords or storing them in the cloud or whateever it is called this week.

      So I did some research and finally found a way to reintall Roboform 6, which I really liked much better.

      So at the moment I have no intention to upgrade to FF5.

      Must have heard me, the little notifier popped up to get me to upgrade right while I as typing that last sentence.
      Signature


      {{ DiscussionBoard.errors[4136917].message }}
  • Profile picture of the author askloz
    had no choice, i was upgraded automatically... my browser has been going nuts over the past week with upgrades running all over the place.
    Signature
    {{ DiscussionBoard.errors[4136962].message }}
    • Profile picture of the author ajbarnes777
      I'm running it now. Loading up takes longer than the previous version I had installed (which was version 3), but browsing and performing functions seems to be a little quicker.
      {{ DiscussionBoard.errors[4136995].message }}
    • Profile picture of the author Myles Sinclair
      Originally Posted by askloz View Post

      had no choice, i was upgraded automatically... my browser has been going nuts over the past week with upgrades running all over the place.
      You can change that in the future if you want to.

      Go to Tools/Options then click on the Advanced tab. Then click on the update tab which will allow you to specify how to handle updates.

      Hope that helps.

      Myles
      {{ DiscussionBoard.errors[4137239].message }}
      • Profile picture of the author azmanar
        Hi,

        When I used FireFox 4, it crashes ever too often and at times hang. Even starting up was taking too long.

        But when I upgraded to FireFox 5, it seems to be much lighter. Haven't hang on me yet. Had not crashed yet. Even the start-up is quicker.

        There are some plugins which were not supported but I immediately plugged Flash, SEO Quake and some other stuff without issues.

        I like this version better.
        Signature
        === >>> Tomorrow Should Be Better Than Today

        {{ DiscussionBoard.errors[4137329].message }}
  • Profile picture of the author dslfarms
    I am using 5 right now , 4 days now and no problems at all,
    Signature
    http://www.fireyourselfmarketing.com
    get the seo training you need from one of the masters!
    {{ DiscussionBoard.errors[4137311].message }}
  • Profile picture of the author ZILLIONAIRE
    ... i clicked the update button faster than a Porsche on a track and later realized that some plugins are still not compatible with it! lesson learned.
    Signature

    ...What the mind can conceive, It can achieve...

    {{ DiscussionBoard.errors[4137318].message }}
  • Profile picture of the author rahmat
    If you wanted to install old version of firefox, you can consider Mozilla Firefox, Portable Edition | PortableApps.com - Portable software for USB, portable and cloud drives

    It will create separate folder for your firefox legacy program.

    It won't overwrite your currently installed firefox.

    Moreover, you can bring it on your thumbdrive.
    {{ DiscussionBoard.errors[4137710].message }}
  • Profile picture of the author timpears
    I am still using FF3.6.x because I heard so many complaints about FF4. Looks like they were quick to move up to 5 so they must have got the message.

    I am going to wait till I hear that the plugin issues have been fixed before I upgrade. The version I use now is working pretty well, other than the occasional crash. But I have so much stuff going on my computer that I think that is due to memory issues. I need to upgrade my computer more than anything.
    Signature

    Tim Pears

    {{ DiscussionBoard.errors[4137750].message }}
  • Profile picture of the author pathart
    I used to be an avid FF user but as Chrome has developed so much along with the new addons I've switched over, interesting to see what FF 5 brings to the table.
    {{ DiscussionBoard.errors[4138042].message }}
    • Profile picture of the author azmanar
      Originally Posted by pathart View Post

      I used to be an avid FF user but as Chrome has developed so much along with the new addons I've switched over, interesting to see what FF 5 brings to the table.
      Hi,

      Whenever my FireFox4 hang or crashes, I switched to chrome. But I prefer not to stick to Chrome.

      FireFox5 is very promising for the past 4 days. No hang no crashes and speedy. So far no need to use Chrome.

      Don't want Google invasion in everything I do on the net.
      Signature
      === >>> Tomorrow Should Be Better Than Today

      {{ DiscussionBoard.errors[4138145].message }}
  • Profile picture of the author elijahcamp1
    I hope it's better than version 4...
    Signature
    #1 USA Craigslist Posters
    - Guaranteed Live Ads.
    - Reliable, done on time
    - Incredible source of leads for your service/product!

    http://www.deliveredads.com (714) 577-2004
    {{ DiscussionBoard.errors[4138063].message }}
  • Profile picture of the author JamesRiley
    stopped using Firefox every since Google Chrome came out
    {{ DiscussionBoard.errors[4138126].message }}
  • Profile picture of the author JeffTonkin
    I downloaded 4 in beta.

    And you just made me leave here to download 5.

    Thanks a lot. lol
    {{ DiscussionBoard.errors[4138150].message }}
  • Profile picture of the author Scott B
    Haven't upgraded to FF5 yet. Give it a couple weeks for them to work out the kinks and for the developers of Evernote, Roboform, etc to upgrade their toolbars to work with FF5. Until that happens, upgrading to FF5 would cost me more time than it would save.
    {{ DiscussionBoard.errors[4138151].message }}
  • Profile picture of the author JeffTonkin
    Now, after just downloading and installing it....

    Looks like nothing has changed.

    From 3 to 4 was drastic, 4 to 5 look identical.

    Stick with 4 for now, 5 looks the same and you have to be a guinea pig.
    {{ DiscussionBoard.errors[4138185].message }}
  • Profile picture of the author Isaiah Jackson
    Originally Posted by Nick Lotter View Post

    Hey Warriors,

    I just received a notification that Firefox 5 is available.

    There were a couple of issues when I upgraded to Firefox 4, such as a couple of plugins that were not supported and stopped working, and a new layout that took some getting used to.

    This time around I am going to wait a while before updating, just to see if there are any bugs.

    If anybody else has updated to Firefox 5, please post here and let the rest of us know if it is worth updating or if it would be better to wait.

    All the best,

    Nick
    Really not a big difference, but you are right about most of the plugins most of them were not updated to work with FF 4 so users were stuck to wait for the update to the plugin I would know I was one of them but other than that I can understand your patience for wanting to wait for the plugins to update to work with the new FF 5 so I would just wait until you get an update notice for your plugins
    Signature
    Controversial Free Report Reveals - Cutting Edged Strategy That Made $1,448 In 28 Days From A Tiny List Of 188 Subscribers. - Click Here For More Info
    {{ DiscussionBoard.errors[4138832].message }}
  • I upgraded to FireFox 5.0 immediately and it was a bit regrettable because some plugins of mine aren't compatible with it yet.

    Next time, I will really wait for a while before deciding to upgrade. Hope this helps.
    {{ DiscussionBoard.errors[4138852].message }}
  • Profile picture of the author charless
    It's kind of a resource hog, but I like it.
    Signature

    Working on three potentially large scale business projects backed by investors.
    If you'd like to chat or network with me, add me on Skype: charlesgmullen0.

    {{ DiscussionBoard.errors[4138872].message }}
  • Profile picture of the author dewaz
    i'm using FF5 with XP, I feel not so different with FF4. All plugin become inactive.

    personally I prefer FF3.6, because after update to FF4, somehow FF4 cant show all pictures at my websites (recommendedstore.com).

    I'm not recommended FF5. I recommend FF3.6 and chrome (since FF have more plugins)
    {{ DiscussionBoard.errors[4139018].message }}
  • Profile picture of the author gorufus
    I haven't had any problems with it so far. There were some issues with a few plugins, but it seems like the plugins I recently downloaded were fine, but all of my older ones are a little behind the 8 ball.
    {{ DiscussionBoard.errors[4139070].message }}
  • Profile picture of the author sscot
    I didn't hope to make a reply on this thread. But, instantly, when I was exited form this page, FF gave me the software update message.

    Why it says, It is strongly recommended that you apply this update for Firefox as soon as possible. Due to my mention, I haven't gotten this kind of take action soon type message from FF before.
    Signature



    {{ DiscussionBoard.errors[4139337].message }}
  • Profile picture of the author art72
    I personally have refrained from the Firefox update, as I am using AVG anti-virus, and it states it's not compatible. Combine this with the Google toolbar issue, and I waiting.

    I'm still having some crash issues with FF4!

    As stated by many above, I love FF...but not prepared to update until they work out all the kinks.

    Art
    Signature
    Coming Soon... *Laser Targeted Lead Generation Services
    {{ DiscussionBoard.errors[4139356].message }}
  • Profile picture of the author dagaul101
    It's always a great idea to wait to see what the general populace think, don't want to upgrade only to find a much needed plugin is no longer supported
    {{ DiscussionBoard.errors[4139686].message }}
  • Profile picture of the author Caspir
    I am still using Firefox 3.16, i really like that edition.
    Signature

    For all your needs and queries related to debt and to plan your monthly budget according to your income Debt Budget Calculator plays an important role.

    {{ DiscussionBoard.errors[4140216].message }}
  • Profile picture of the author June8
    I am using Mozilla 3.6.17 from last some time or its the best version of Mozilla i ever use. Mozilla Firefox 5.... is nice for android users..
    Signature
    {{ DiscussionBoard.errors[4145104].message }}
  • Profile picture of the author g4r3th
    Sounds a bit buggy, will stick with the older version for now.
    {{ DiscussionBoard.errors[4145142].message }}
  • Profile picture of the author juve
    yes but l think chrome is better
    {{ DiscussionBoard.errors[4145352].message }}

Trending Topics